ProtoUtils (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.impl.pb, class: ProtoUtils

Package org.apache.hadoop.yarn.api.records.impl.pb

# Class ProtoUtils

java.lang.Object
org.apache.hadoop.yarn.api.records.impl.pb.ProtoUtils

@Private @Unstable public class ProtoUtils extends Object
Utils to convert enum protos to corresponding java enums and vice versa.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.apache.hadoop.thirdparty.com.google.common.collect.Interner<org.apache.hadoop.thirdparty.protobuf.ByteString>`
  `BYTE_STRING_INTERNER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProtoUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ByteBuffer`
  `convertFromProtoFormat(org.apache.hadoop.thirdparty.protobuf.ByteString byteString)`
  `static org.apache.hadoop.yarn.api.records.AMCommand`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.AMCommandProto e)`
  `static org.apache.hadoop.yarn.api.records.ApplicationAccessType`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ApplicationAccessTypeProto e)`
  `static ApplicationIdPBImpl`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ApplicationIdProto p)`
  `static org.apache.hadoop.yarn.api.records.ApplicationResourceUsageReport`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ApplicationResourceUsageReportProto e)`
  `static org.apache.hadoop.yarn.api.records.ApplicationTimeoutType`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ApplicationTimeoutTypeProto e)`
  `static ContainerIdPBImpl`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ContainerIdProto p)`
  `static ContainerPBImpl`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ContainerProto t)`
  `static org.apache.hadoop.yarn.api.records.ContainerRetryPolicy`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ContainerRetryPolicyProto e)`
  `static org.apache.hadoop.yarn.api.records.ContainerState`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ContainerStateProto proto)`
  `static ContainerStatusPBImpl`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ContainerStatusProto p)`
  `static org.apache.hadoop.yarn.api.records.ContainerSubState`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ContainerSubStateProto proto)`
  `static org.apache.hadoop.yarn.server.api.ContainerType`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ContainerTypeProto e)`
  `static org.apache.hadoop.yarn.api.records.ExecutionType`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ExecutionTypeProto e)`
  `static org.apache.hadoop.yarn.api.records.ExecutionTypeRequest`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ExecutionTypeRequestProto e)`
  `static org.apache.hadoop.yarn.api.records.FinalApplicationStatus`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.FinalApplicationStatusProto e)`
  `static org.apache.hadoop.yarn.api.records.LocalResourceType`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.LocalResourceTypeProto e)`
  `static org.apache.hadoop.yarn.api.records.LocalResourceVisibility`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.LocalResourceVisibilityProto e)`
  `static org.apache.hadoop.yarn.api.records.LogAggregationStatus`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.LogAggregationStatusProto e)`
  `static org.apache.hadoop.yarn.api.records.NodeId`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.NodeIdProto e)`
  `static org.apache.hadoop.yarn.api.records.NodeState`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.NodeStateProto e)`
  `static org.apache.hadoop.yarn.api.records.NodeUpdateType`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.NodeUpdateTypeProto e)`
  `static org.apache.hadoop.yarn.api.resource.PlacementConstraint.TargetExpression.TargetType`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.PlacementConstraintTargetProto.TargetType t)`
  `static org.apache.hadoop.yarn.api.records.QueueACL`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.QueueACLProto e)`
  `static org.apache.hadoop.yarn.api.records.QueueState`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.QueueStateProto e)`
  `static org.apache.hadoop.yarn.api.records.RejectionReason`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.RejectionReasonProto e)`
  `static org.apache.hadoop.yarn.api.records.ReservationRequestInterpreter`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ReservationRequestInterpreterProto e)`
  `static org.apache.hadoop.yarn.api.records.Resource`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ResourceProto resource)`
  `static org.apache.hadoop.yarn.api.protocolrecords.ResourceTypes`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ResourceTypesProto e)`
  `static org.apache.hadoop.yarn.api.resource.PlacementConstraint.TimedPlacementConstraint.DelayUnit`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.TimedPlacementConstraintProto.DelayUnit u)`
  `static org.apache.hadoop.yarn.api.records.YarnApplicationAttemptState`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.YarnApplicationAttemptStateProto e)`
  `static org.apache.hadoop.yarn.api.records.YarnApplicationState`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.YarnApplicationStateProto e)`
  `static org.apache.hadoop.yarn.api.protocolrecords.ApplicationsRequestScope`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnServiceProtos.ApplicationsRequestScopeProto e)`
  `static org.apache.hadoop.yarn.api.records.ContainerUpdateType`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnServiceProtos.ContainerUpdateTypeProto e)`
  `static org.apache.hadoop.yarn.api.records.LocalizationState`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnServiceProtos.LocalizationStateProto e)`
  `static UpdateContainerErrorPBImpl`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnServiceProtos.UpdateContainerErrorProto p)`
  `static UpdateContainerRequestPBImpl`
  `convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnServiceProtos.UpdateContainerRequestProto p)`
  `static List<org.apache.hadoop.yarn.proto.YarnProtos.StringFloatMapProto>`
  `convertMapToStringFloatMapProtoList(Map<String,Float> map)`
  `static List<org.apache.hadoop.yarn.proto.YarnProtos.StringLongMapProto>`
  `convertMapToStringLongMapProtoList(Map<String,Long> map)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.ResourceTypesProto`
  `converToProtoFormat(org.apache.hadoop.yarn.api.protocolrecords.ResourceTypes e)`
  `static Map<String,Float>`
  `convertStringFloatMapProtoListToMap(List<org.apache.hadoop.yarn.proto.YarnProtos.StringFloatMapProto> pList)`
  `static Map<String,Long>`
  `convertStringLongMapProtoListToMap(List<org.apache.hadoop.yarn.proto.YarnProtos.StringLongMapProto> pList)`
  `static Map<String,String>`
  `convertStringStringMapProtoListToMap(List<org.apache.hadoop.yarn.proto.YarnProtos.StringStringMapProto> pList)`
  `static org.apache.hadoop.thirdparty.protobuf.ByteString`
  `convertToProtoFormat(ByteBuffer byteBuffer)`
  `static List<org.apache.hadoop.yarn.proto.YarnProtos.StringStringMapProto>`
  `convertToProtoFormat(Map<String,String> stringMap)`
  `static org.apache.hadoop.yarn.proto.YarnServiceProtos.ApplicationsRequestScopeProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.protocolrecords.ApplicationsRequestScope e)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.AMCommandProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.AMCommand e)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.ApplicationAccessTypeProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.ApplicationAccessType e)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.ApplicationIdProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.ApplicationId t)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.ApplicationResourceUsageReportProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.ApplicationResourceUsageReport e)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.ApplicationTimeoutTypeProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.ApplicationTimeoutType e)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.ContainerProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.Container t)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.ContainerIdProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.ContainerId t)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.ContainerRetryPolicyProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.ContainerRetryPolicy e)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.ContainerStateProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.ContainerState state)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.ContainerSubStateProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.ContainerSubState state)`
  `static org.apache.hadoop.yarn.proto.YarnServiceProtos.ContainerUpdateTypeProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.ContainerUpdateType e)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.ExecutionTypeProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.ExecutionType e)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.ExecutionTypeRequestProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.ExecutionTypeRequest e)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.FinalApplicationStatusProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.FinalApplicationStatus e)`
  `static org.apache.hadoop.yarn.proto.YarnServiceProtos.LocalizationStateProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.LocalizationState e)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.LocalResourceTypeProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.LocalResourceType e)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.LocalResourceVisibilityProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.LocalResourceVisibility e)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.LogAggregationStatusProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.LogAggregationStatus e)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.NodeIdProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.NodeId e)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.NodeStateProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.NodeState e)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.NodeUpdateTypeProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.NodeUpdateType e)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.QueueACLProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.QueueACL e)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.QueueStateProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.QueueState e)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.RejectionReasonProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.RejectionReason e)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.ReservationRequestInterpreterProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.ReservationRequestInterpreter e)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.ResourceProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.Resource r)`
  `static org.apache.hadoop.yarn.proto.YarnServiceProtos.UpdateContainerErrorProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.UpdateContainerError t)`
  `static org.apache.hadoop.yarn.proto.YarnServiceProtos.UpdateContainerRequestProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.UpdateContainerRequest t)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.YarnApplicationAttemptStateProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.YarnApplicationAttemptState e)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.YarnApplicationStateProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.records.YarnApplicationState e)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.PlacementConstraintTargetProto.TargetType`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.resource.PlacementConstraint.TargetExpression.TargetType t)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.TimedPlacementConstraintProto.DelayUnit`
  `convertToProtoFormat(org.apache.hadoop.yarn.api.resource.PlacementConstraint.TimedPlacementConstraint.DelayUnit u)`
  `static org.apache.hadoop.yarn.proto.YarnProtos.ContainerTypeProto`
  `convertToProtoFormat(org.apache.hadoop.yarn.server.api.ContainerType e)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BYTE_STRING_INTERNER

    public static final org.apache.hadoop.thirdparty.com.google.common.collect.Interner<org.apache.hadoop.thirdparty.protobuf.ByteString> BYTE_STRING_INTERNER

- ## Constructor Details

  - ### ProtoUtils

    public ProtoUtils()

- ## Method Details

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.ContainerStateProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.ContainerState state)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.ContainerState convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ContainerStateProto proto)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.ContainerSubStateProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.ContainerSubState state)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.ContainerSubState convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ContainerSubStateProto proto)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.NodeStateProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.NodeState e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.NodeState convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.NodeStateProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.NodeIdProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.NodeId e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.NodeId convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.NodeIdProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.YarnApplicationStateProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.YarnApplicationState e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.YarnApplicationState convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.YarnApplicationStateProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.YarnApplicationAttemptStateProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.YarnApplicationAttemptState e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.YarnApplicationAttemptState convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.YarnApplicationAttemptStateProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnServiceProtos.ApplicationsRequestScopeProto convertToProtoFormat(org.apache.hadoop.yarn.api.protocolrecords.ApplicationsRequestScope e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.protocolrecords.ApplicationsRequestScope convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnServiceProtos.ApplicationsRequestScopeProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.ApplicationResourceUsageReportProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.ApplicationResourceUsageReport e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.ApplicationResourceUsageReport convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ApplicationResourceUsageReportProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.FinalApplicationStatusProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.FinalApplicationStatus e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.FinalApplicationStatus convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.FinalApplicationStatusProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.LocalResourceTypeProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.LocalResourceType e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.LocalResourceType convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.LocalResourceTypeProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.LocalResourceVisibilityProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.LocalResourceVisibility e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.LocalResourceVisibility convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.LocalResourceVisibilityProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.AMCommandProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.AMCommand e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.AMCommand convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.AMCommandProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.RejectionReasonProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.RejectionReason e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.RejectionReason convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.RejectionReasonProto e)

  - ### convertFromProtoFormat

    public static ByteBuffer convertFromProtoFormat(org.apache.hadoop.thirdparty.protobuf.ByteString byteString)

  - ### convertToProtoFormat

    public static org.apache.hadoop.thirdparty.protobuf.ByteString convertToProtoFormat(ByteBuffer byteBuffer)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.QueueStateProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.QueueState e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.QueueState convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.QueueStateProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.QueueACLProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.QueueACL e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.QueueACL convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.QueueACLProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.ApplicationAccessTypeProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.ApplicationAccessType e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.ApplicationAccessType convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ApplicationAccessTypeProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.ApplicationTimeoutTypeProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.ApplicationTimeoutType e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.ApplicationTimeoutType convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ApplicationTimeoutTypeProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.ReservationRequestInterpreterProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.ReservationRequestInterpreter e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.ReservationRequestInterpreter convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ReservationRequestInterpreterProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.LogAggregationStatusProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.LogAggregationStatus e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.LogAggregationStatus convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.LogAggregationStatusProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.ContainerTypeProto convertToProtoFormat(org.apache.hadoop.yarn.server.api.ContainerType e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.server.api.ContainerType convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ContainerTypeProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.NodeUpdateTypeProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.NodeUpdateType e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.NodeUpdateType convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.NodeUpdateTypeProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.ExecutionTypeProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.ExecutionType e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.ExecutionType convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ExecutionTypeProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnServiceProtos.ContainerUpdateTypeProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.ContainerUpdateType e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.ContainerUpdateType convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnServiceProtos.ContainerUpdateTypeProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.ResourceProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.Resource r)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.Resource convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ResourceProto resource)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.ContainerRetryPolicyProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.ContainerRetryPolicy e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.ContainerRetryPolicy convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ContainerRetryPolicyProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.ExecutionTypeRequestProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.ExecutionTypeRequest e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.ExecutionTypeRequest convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ExecutionTypeRequestProto e)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.ContainerProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.Container t)

  - ### convertFromProtoFormat

    public static ContainerPBImpl convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ContainerProto t)

  - ### convertFromProtoFormat

    public static ContainerStatusPBImpl convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ContainerStatusProto p)

  - ### convertFromProtoFormat

    public static ContainerIdPBImpl convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ContainerIdProto p)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.ContainerIdProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.ContainerId t)

  - ### convertFromProtoFormat

    public static UpdateContainerRequestPBImpl convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnServiceProtos.UpdateContainerRequestProto p)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnServiceProtos.UpdateContainerRequestProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.UpdateContainerRequest t)

  - ### convertFromProtoFormat

    public static UpdateContainerErrorPBImpl convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnServiceProtos.UpdateContainerErrorProto p)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnServiceProtos.UpdateContainerErrorProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.UpdateContainerError t)

  - ### converToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.ResourceTypesProto converToProtoFormat(org.apache.hadoop.yarn.api.protocolrecords.ResourceTypes e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.protocolrecords.ResourceTypes convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ResourceTypesProto e)

  - ### convertStringLongMapProtoListToMap

    public static Map<String,Long> convertStringLongMapProtoListToMap(List<org.apache.hadoop.yarn.proto.YarnProtos.StringLongMapProto> pList)

  - ### convertMapToStringLongMapProtoList

    public static List<org.apache.hadoop.yarn.proto.YarnProtos.StringLongMapProto> convertMapToStringLongMapProtoList(Map<String,Long> map)

  - ### convertMapToStringFloatMapProtoList

    public static List<org.apache.hadoop.yarn.proto.YarnProtos.StringFloatMapProto> convertMapToStringFloatMapProtoList(Map<String,Float> map)

  - ### convertStringStringMapProtoListToMap

    public static Map<String,String> convertStringStringMapProtoListToMap(List<org.apache.hadoop.yarn.proto.YarnProtos.StringStringMapProto> pList)

  - ### convertStringFloatMapProtoListToMap

    public static Map<String,Float> convertStringFloatMapProtoListToMap(List<org.apache.hadoop.yarn.proto.YarnProtos.StringFloatMapProto> pList)

  - ### convertToProtoFormat

    public static List<org.apache.hadoop.yarn.proto.YarnProtos.StringStringMapProto> convertToProtoFormat(Map<String,String> stringMap)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.PlacementConstraintTargetProto.TargetType convertToProtoFormat(org.apache.hadoop.yarn.api.resource.PlacementConstraint.TargetExpression.TargetType t)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.resource.PlacementConstraint.TargetExpression.TargetType convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.PlacementConstraintTargetProto.TargetType t)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.TimedPlacementConstraintProto.DelayUnit convertToProtoFormat(org.apache.hadoop.yarn.api.resource.PlacementConstraint.TimedPlacementConstraint.DelayUnit u)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.resource.PlacementConstraint.TimedPlacementConstraint.DelayUnit convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.TimedPlacementConstraintProto.DelayUnit u)

  - ### convertFromProtoFormat

    public static ApplicationIdPBImpl convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnProtos.ApplicationIdProto p)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnProtos.ApplicationIdProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.ApplicationId t)

  - ### convertToProtoFormat

    public static org.apache.hadoop.yarn.proto.YarnServiceProtos.LocalizationStateProto convertToProtoFormat(org.apache.hadoop.yarn.api.records.LocalizationState e)

  - ### convertFromProtoFormat

    public static org.apache.hadoop.yarn.api.records.LocalizationState convertFromProtoFormat(org.apache.hadoop.yarn.proto.YarnServiceProtos.LocalizationStateProto e)